## linux-backports-modules-2.6.28 2.6.28-11.12

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config
