## linux-backports-modules-2.6.28 2.6.28-14.16netbook01

=== debian/changelog ===
linux-backports-modules-2.6.28 (2.6.28-14.16netbook01) netbook-jaunty; urgency=low

  [ Andy Whitcroft ]

  * branch created based on Ubuntu-2.6.28-14.16
  * rebase tree control scripts
  * rebase-branch: fix timestamp detection
  * rebase-branch: ensure we default to an invalid package
  * printchanges -- rebase tree does not have stable tags use changelog
  * compat-wireless: add support for a patches directory
  * SAUCE: ath5k: enable LED support for a new Acer device.
    - LP: #412039

  [ Stefan Bader ]

  * SAUCE: Do not munge crypto module names for libipw
    - LP: #404336

 -- Andy Whitcroft <apw@canonical.com>  Wed, 12 Aug 2009 14:58:13 +0100

linux-backports-modules-2.6.28 (2.6.28-0.0) netbook-jaunty; urgency=low

  * Initial release. (Closes: #XXXXXX)

 -- Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>  Tue, 09 Sep 2008 08:26:34 -0600
