=== updates/lenovo-sl-laptop/Makefile ===
include $(src)/../.config

obj-$(CONFIG_LENOVO_SL_LAPTOP) += lenovo-sl-laptop.o
