=== debian/changelog ===
linux-backports-modules-2.6.28 (2.6.28-19.21) jaunty-security; urgency=low

  [ Stefan Bader ]

  * Bump ABI to -19 for security release

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 17 May 2010 11:28:31 +0200

linux-backports-modules-2.6.28 (2.6.28-18.20) jaunty-security; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI to -18 for security release

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Wed, 03 Feb 2010 18:02:29 -0800

linux-backports-modules-2.6.28 (2.6.28-17.19) jaunty-security; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI to -17 for security release

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 13 Oct 2009 23:11:21 +0200

linux-backports-modules-2.6.28 (2.6.28-16.18) jaunty-security; urgency=low

  Bump ABI to -16 due to security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 12 Oct 2009 13:08:36 -0700

linux-backports-modules-2.6.28 (2.6.28-15.17) jaunty-proposed; urgency=low

  [Stefan Bader]

  * Bump ABI to 15 for proposed release

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 28 Jul 2009 16:26:21 +0000

linux-backports-modules-2.6.28 (2.6.28-14.16) jaunty-security; urgency=low

  [Stefan Bader]

  * Bump ABI to 14 for security release

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 24 Jul 2009 17:07:36 +0200

linux-backports-modules-2.6.28 (2.6.28-13.14) jaunty-proposed; urgency=low

  [ Ike Panhc ]

  * Add driver for Lenovo SL Thinkpads
    - LP: #351586
  * SAUCE: Add dmi pattern for Lenovo SL laptop
    - LP: #351586

  [ Stefan Bader ]

  * Add lenovo-sl-laptop in backport package
    - LP: #351586
  * Bump ABI to -13 for proposed kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 11 May 2009 17:26:22 +0200

linux-backports-modules-2.6.28 (2.6.28-12.13) jaunty-proposed; urgency=low

  [Stefan Bader]

  * Bump ABI for proposed kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 30 Apr 2009 19:09:23 +0200
