## linux-backports-modules-2.6.28 2.6.28-101.49

=== debian/changelog ===
linux-backports-modules-2.6.28 (2.6.28-101.49) netbook-jaunty; urgency=low

  [ Steve Conklin ]

  * Bump ABI for new kernel

 --  Steve Conklin <sconklin@ubuntu.com>  Tue, 27 Oct 2009 19:13:43 +0000

linux-backports-modules-2.6.28 (2.6.28-100.48) netbook-jaunty; urgency=low

  [ Steve Conklin ]

  * Bump ABI for new kernel

 --  Steve Conklin <sconklin@ubuntu.com>  Fri, 23 Oct 2009 20:52:58 +0000

linux-backports-modules-2.6.28 (2.6.28-15.17netbook01) netbook-jaunty; urgency=low

  [ Andy Whitcroft ]

  * rebase to 2.6.28-15.17

  [ Ubuntu: 2.6.28-15.17 ]

  * Bump ABI to 15 for proposed release

 -- Andy Whitcroft <apw@canonical.com>  Fri, 21 Aug 2009 20:22:35 +0100
